Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: PSI requires new version of flashplayer but it is installed

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as locked.
hardygp PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 10:31
Ranking: -2
Posts: 11
User Since: 9th Nov, 2008
System Score: 100%
Location: DE
Hello,

PSI 1.5.0.1 doesn't show Charts and requires installation of a new version of flashplayer but flash is correctly installed for all browsers (IE8, Firefox 3.63, Opera 10.51 and Iron 4.0.280) and works without any problems!

Problems began after Microsoft Patch-Day April 2010. My OS: Windows 7 Home Premium, Build Lab 7600.win7_gdr.091207-1941.

What's wrong?



--
Greetings from Germany

Hartmut

mogs RE: PSI requires new version of flashplayer but it is installed
Expert Contributor 18th Apr, 2010 11:08
Score: 2265
Posts: 6,266
User Since: 22nd Apr 2009
System Score: 100%
Location: UK
Hello again.
You don't say what version of Flash you have installed. Current version 10.0.45.2.
Is it perhaps that Secunia is still detecting old, left over files ? Regards

--
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI requires new version of flashplayer but it is installed
Handling Contributor 18th Apr, 2010 11:23
Score: 11726
Posts: 8,970
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Last edited on 18th Apr, 2010 11:25
There are numerous posts on this subject already on the Forum. There seems to be no definite answer as to why it is happening.

Although I have no doubt U have tried it might be a good idea to double check:

1. That U have got all MS updates installed by doing a manual check via the Action Centre in the Task Tray.

2. That Flash is really working by doing a check from here:
http://www.adobe.com/software/flash/about/

3.Uninstall & then reinstall PSI

4. Closing down & after a slight pause restart the system.

After a full scan is PSI showing Flash as installed & fully patched?

Edit: Whoops - sorry @Mogs - a bit of a duplicate but at least there is something to try & help.

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+3
-0
pattayaruss RE: PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 12:54
Score: 0
Posts: 8
User Since: 16th Feb 2010
System Score: N/A
Location: UK
Last edited on 18th Apr, 2010 13:06
I put a fix in the forum 5 days ago, but the problem is infact with IE so here it is again
This is the link: http://www.thewindowsclub.com/repair-internet-expl...

or the shorten version: http://bit.ly/19WK10

let me know how U get on with this.
Russ

Edit: Close PSI and IE then run the fix. resart let me know if all OK? I had the same problem for months with this, until I found this fix which has worked for me.

--
pattayaruss
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed - addition
Member 18th Apr, 2010 14:14
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
OK everyone:

Before I wrote I did a search in forum and had tested all:

- Current Version 10.0.45.2 ActiveX and NPAPI is installed and working properly
- Multiple installation of Flash and Secunia / restart
- IE fix

Everything, but without success :-(( Secunia detects when scanning the right Flash versions, but the interface says: Flash is missing or outdated :-( (

Any other tipps?

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
mogs RE: PSI requires new version of flashplayer but it is installed
Expert Contributor 18th Apr, 2010 15:19
Score: 2265
Posts: 6,266
User Since: 22nd Apr 2009
System Score: 100%
Location: UK
Hello again.....very perplexing: if I had the same predicament, I think I'd be inclined to run a Registry Scan and schedule a CHKDSK....being as Secunia staff won't be putting in an appearance till tomorrow. I would probably run the Memory Diagnostics Tool, integral in Vista....don't know if it's included in Windows7. All for now.......

--
Was this reply relevant?
+0
-0
pattayaruss RE: PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 17:20
Score: 0
Posts: 8
User Since: 16th Feb 2010
System Score: N/A
Location: UK
Hi

Do you have 4 browsers installed on you sytem, or just IE 8?

Russ

--
pattayaruss
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 18:07
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Hi!

@mogs

I did the Memory Diagnostics Tool (same as Vista) - no mistake. Chkdsk is scheduled - let' see :-). Which tool for Registry Scan would you propose?

@pattayaruss

The standard is the IE8. The other browsers are just portable versions for test purposes.

Greetings from Germany

Hartmut

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
pattayaruss RE: PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 18:33
Score: 0
Posts: 8
User Since: 16th Feb 2010
System Score: N/A
Location: UK
Hi Hartmut

Are the other browsers installed in you computer at this time? As I had another browser installed along with IE 8. I uninstalled the other browser, which left me IE8. I still had the problem, then I closed PSI, closed IE 8, then run the fix, restarted and my problem was fixed.
If you have more than IE 8 installed then give this a try?

Russ

--
pattayaruss
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 18th Apr, 2010 23:39
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Last edited on 18th Apr, 2010 23:41
Good Evening at all!

... I give up for now.

Chkdsk, registry scan, uninstall all browsers except IE8, IE Fix utility and Defrag have changed nothing. It remains ominously :-(

Hartmut

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
pattayaruss RE: PSI requires new version of flashplayer but it is installed
Member 19th Apr, 2010 07:09
Score: 0
Posts: 8
User Since: 16th Feb 2010
System Score: N/A
Location: UK
Hi Hartmut,

Do not know if you have already tried this! But the only other thing I can suggest is go to the folder. C:Windows/system32/Macromed/flash, then double click on the application: FlashUtil 10e.exe. If it shows: An update to your Adobe Flash Player is available, then install the update, and see if that is any help?

Thatís all I can think of doing, until you hear from another forum user that has more ideas. And hope we get you fixed, as we all would like to know the outcome!

Russ


--
pattayaruss
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 19th Apr, 2010 21:05
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Good evening at all,

I made another test now:

I uninstalled the last patches for Win 7 (KB978601, KB979309, KB979683, KB980232 an KB 981332) and the PSI is working well, as I knew it :-)))

One of these patches is apparently responsible for the mistake :-(.

If I can determine it precisely, I let you know it.

Thank's a lot for your support so far!

Hartmut


--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI requires new version of flashplayer but it is installed
Handling Contributor 19th Apr, 2010 21:43
Score: 11726
Posts: 8,970
User Since: 4th Jan 2009
System Score: N/A
Location: UK
All those patches are on my Windopws 7 64 Bit - everything working perfectly for me so I suspect it will not be a general error.

Have U looked in the Flash folder to check no "Oddies" in there?

The default file locations for deletions are:
32 Bit Systems - C:\Windows\system32\Macromedia\Flash
64 Bit Systems - C:\Windows\sysWOW64\Macromedia\Flash

In these locations U may well find these entries:
FLASH10D.OCX - Right click & delete it.
FLASH10E.OCX - The latest version which should be retained.
If U are using Beta/RC the latest version is H.


--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 19th Apr, 2010 22:10
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Hello Maurice,

it' s definitely only the Flash version 10.0.45.2 (ActiveX and NPAPI) which is installed! All old versions are and have been completely deleted.

Installing the patches the file c: \ windows \ system32 \ ntkrnlpa.exe had been damaged and I restored it from a backup.

Now I will install the patches one after the other and then we'll see :-)

Greetings from Germany

Hartmut

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 20th Apr, 2010 09:51
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Hello Maurice,

now I installed the Patches step by step and could identify the suspicious one through this.
KB979683 crashes the file ntkrnlpa.exe on my system. Restoring this file from a backup then causes the problems with PSI :-(

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI requires new version of flashplayer but it is installed
Handling Contributor 20th Apr, 2010 10:12
Score: 11726
Posts: 8,970
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Hartmut
Interesting - there is a fair bit of interest on this KB but mainly from Vista that has driver problems.

Have U tried renaming ntkrnlpa.exe to ntkrnlpa.exe_old. It is a non critical file so I suspect the system impact will be minimal but could cure your issue.



--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
hardygp RE: PSI requires new version of flashplayer but it is installed
Member 22nd Apr, 2010 00:19
Score: -2
Posts: 11
User Since: 9th Nov 2008
System Score: 100%
Location: DE
Good evening Maurice,

after several tests and some other problems (slowing down machine) I decided for the moment not to install the patch KB979683 and indeed PSI is working well now.

Greetings


Hartmut

--
Greetings from Germany

Hartmut
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI requires new version of flashplayer but it is installed
Handling Contributor 22nd Apr, 2010 01:01
Score: 11726
Posts: 8,970
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Hello Hartmut,
Pity U cannot fix that download. Normally I would advise not to leave off an MS patch but there is a great deal on the web about KB979683. Looks like a diaster area for many.

In the short term I believe U have got it right - until U/MS find a better solution.

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0
Nova RE: PSI requires new version of flashplayer but it is installed
Member 22nd Apr, 2010 23:37
Score: 0
Posts: 35
User Since: 20th Jan 2010
System Score: N/A
Location: N/A
I don't know if the KB979683 is affecting Flash Player or if there is another issue with FP. Here is the Microsoft "fix" on the KB979683:
http://support.microsoft.com/kb/979683

What I noticed yesterday is that www.filehippo is showing a beta as the latest release for FP. I only found one link for FP vs 10.0.45.2 and that was for Internet Explorer. No links for any non-IE for that version.

I don't know if users here are having problems installing Flash Player, but others are. They use the link for FP vs10.0.45.2 and are being sent to www.adobe.com where the download and install includes the DLM/getPlus/NOS and are being told they are not installing the latest version.
Is the latest version now the beta? I was surprised to find that on filehippo.

Confusing to say the least.
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI requires new version of flashplayer but it is installed
Handling Contributor 22nd Apr, 2010 23:52
Score: 11726
Posts: 8,970
User Since: 4th Jan 2009
System Score: N/A
Location: UK
The FileHippo download links to the stable version (10.0.45.2) are here:

IE http://www.filehippo.com/download_flashplayer_ie/7...


NON IE http://www.filehippo.com/download_flashplayer_fire...

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+1
-0
Nova RE: PSI requires new version of flashplayer but it is installed
Member 23rd Apr, 2010 00:12
Score: 0
Posts: 35
User Since: 20th Jan 2010
System Score: N/A
Location: N/A
Thank you so much. I searched and could not find them!

Nova
Was this reply relevant?
+0
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability